summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorChris Severance2020-09-06 20:05:06 -0400
committerChris Severance2020-09-06 20:05:06 -0400
commit5402a169e24b2ac9ab1c3930bc5bed34fc067d2f (patch)
treeb9ec6e86555c0355ac1f2f943314936e73f89836
parent001511076557a0aa6e863cabc68d56377b2015b9 (diff)
downloadaur-5402a169e24b2ac9ab1c3930bc5bed34fc067d2f.tar.gz
autu: Update to 4.14.196-1
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD10
2 files changed, 14 insertions, 10 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 857f48ffcff..12dac1f57cf 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
# Generated by mksrcinfo v8
-# Thu Aug 27 04:24:16 UTC 2020
+# Mon Sep 7 00:05:06 UTC 2020
pkgbase = linux-lts414
- pkgver = 4.14.195
+ pkgver = 4.14.196
pkgrel = 1
url = https://www.kernel.org/
arch = x86_64
@@ -13,7 +13,7 @@ pkgbase = linux-lts414
makedepends = libelf
options = !strip
source = https://www.kernel.org/pub/linux/kernel/v4.x/linux-4.14.tar.xz
- source = https://www.kernel.org/pub/linux/kernel/v4.x/patch-4.14.195.xz
+ source = https://www.kernel.org/pub/linux/kernel/v4.x/patch-4.14.196.xz
source = config
source = 60-linux.hook
source = 90-linux.hook
@@ -22,7 +22,7 @@ pkgbase = linux-lts414
source = 0003-Revert-drm-i915-edp-Allow-alternate-fixed-mode-for-e.patch
source = 0004-export_kernel_fpu_functions.patch
md5sums = bacdb9ffdcd922aa069a5e1520160e24
- md5sums = 9cab9335568bba61abbcdd6c08ad107e
+ md5sums = 8bdc35ada2af6a36f303c1b220815791
md5sums = fb91c98c2a4accbe3f606085fbec5568
md5sums = ce6c81ad1ad1f8b333fd6077d47abdaf
md5sums = a85bfae59eb537b973c388ffadb281ff
@@ -31,7 +31,7 @@ pkgbase = linux-lts414
md5sums = 95204750f94a5f6d2d19e021736265d5
md5sums = f7d76cdef5cf4ac6a49115fc4f1f35d5
sha256sums = f81d59477e90a130857ce18dc02f4fbe5725854911db1e7ba770c7cd350f96a7
- sha256sums = e22fb7fb5753445fe3ca109410450a93499cfde4b651857ba5b6526ffffa98aa
+ sha256sums = e96d4ec638583223254ddfa5b439a5caa304ee54b3b0d6f626d9437c5a0e3665
sha256sums = c5501b3f9d33681f99eccb79740e9192b477bbf798a9a1f80b1f72c6bb006dcd
sha256sums = ae2e95db94ef7176207c690224169594d49445e04249d2499e9d2fbc117a0b21
sha256sums = 75f99f5239e03238f88d1a834c50043ec32b1dc568f2cc291b07d04718483919
@@ -48,12 +48,12 @@ pkgname = linux-lts414
depends = kmod
depends = mkinitcpio>=0.7
optdepends = crda: to set the correct wireless channels of your country
- provides = linux=4.14.195
+ provides = linux=4.14.196
backup = etc/mkinitcpio.d/linux-lts414.preset
pkgname = linux-lts414-headers
pkgdesc = Header files and scripts for building modules for Linux-lts414 kernel
- provides = linux-headers=4.14.195
+ provides = linux-headers=4.14.196
pkgname = linux-lts414-docs
pkgdesc = Kernel hackers manual - HTML documentation that comes with the Linux-lts414 kernel
diff --git a/PKGBUILD b/PKGBUILD
index 28c7095eba3..7f514428899 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
set -u
pkgbase="linux-lts414"
-pkgver="4.14.195"
+pkgver="4.14.196"
_srcname="linux-${pkgver%.*}"
pkgrel='1'
arch=('x86_64')
@@ -26,13 +26,17 @@ source=(
# https://github.com/NixOS/nixpkgs/pull/61076
'0004-export_kernel_fpu_functions.patch'
)
+if ! :; then
+ source+=("${source[0]/.xz/.sign}")
+ source+=("${source[1]/.xz/.sign}") # patch>=4.14.59 are not signed
+fi
validpgpkeys=(
'ABAF11C65A2970B130ABE3C479BE3E4300411886' # Linus Torvalds <torvalds@linux-foundation.org>
'647F28654894E3BD457199BE38DBBDC86092693E' # Greg Kroah-Hartman (Linux kernel stable release signing key) <greg@kroah.com>
)
# https://www.kernel.org/pub/linux/kernel/v4.x/sha256sums.asc
md5sums=('bacdb9ffdcd922aa069a5e1520160e24'
- '9cab9335568bba61abbcdd6c08ad107e'
+ '8bdc35ada2af6a36f303c1b220815791'
'fb91c98c2a4accbe3f606085fbec5568'
'ce6c81ad1ad1f8b333fd6077d47abdaf'
'a85bfae59eb537b973c388ffadb281ff'
@@ -41,7 +45,7 @@ md5sums=('bacdb9ffdcd922aa069a5e1520160e24'
'95204750f94a5f6d2d19e021736265d5'
'f7d76cdef5cf4ac6a49115fc4f1f35d5')
sha256sums=('f81d59477e90a130857ce18dc02f4fbe5725854911db1e7ba770c7cd350f96a7'
- 'e22fb7fb5753445fe3ca109410450a93499cfde4b651857ba5b6526ffffa98aa'
+ 'e96d4ec638583223254ddfa5b439a5caa304ee54b3b0d6f626d9437c5a0e3665'
'c5501b3f9d33681f99eccb79740e9192b477bbf798a9a1f80b1f72c6bb006dcd'
'ae2e95db94ef7176207c690224169594d49445e04249d2499e9d2fbc117a0b21'
'75f99f5239e03238f88d1a834c50043ec32b1dc568f2cc291b07d04718483919'